Subject: Re: B17 rename bug
From: [email-masked] (Winona Strater)

9 Dec 1996 21:22:24 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: [email-masked]
Original-CC: [email-masked]
Original-Sender: [email-masked]

Ahh thats a bug? I thought it was a feature ;) , that happens on NT3.51
also.

Win

Richard Donkin wrote:
> 
> Here's an entertaining bug that is presumably due to the Cygwin DLL
> considering 'foo' to refer to 'foo.exe' in order to be more Unix-compatible.
>   This is using B17 on Win95.
> 
> Note that 'remsync' did not exist at the start of this sequence:
> 
> $ mv remsync.exe remsync
> mv: `remsync.exe' and `remsync' are the same file
> 
> # Rename using temp filename as intermediary works OK
> $ mv remsync.exe remsync.foo
> $ mv remsync.foo remsync
> 
> I'm not sure how you could fix this without breaking something else, but it
> should be documented somewhere.
> 
> Richard
> --
> [email-masked]                http://www.inside-edge.co.uk/
> Inside Edge Consultancy           Client/Server and Internet Applications
> PGP key from:  [email-masked]  -or-  http://www.four11.com/
> 
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".